Bug 293761 - Plugins are loaded automatically although "Manually Load Plugins" is set
Summary: Plugins are loaded automatically although "Manually Load Plugins" is set
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: latest git snapshot
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 0.9
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-10 09:24 UTC by Dominik Cermak
Modified: 2012-02-11 08:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to make it work (588 bytes, patch)
2012-02-10 19:11 UTC, Dominik Cermak
Details
Better patch (507 bytes, patch)
2012-02-10 19:38 UTC, Dominik Cermak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Cermak 2012-02-10 09:24:37 UTC
Version:           latest git snapshot (using KDE 4.8.0) 
OS:                Linux

Selecting "Manually Load Plugins" and browsing a site like YouTube the flashplugin loads automatically.

Reproducible: Always

Steps to Reproduce:
Set "Manually Load Plugins".
Go to a YouTube site.

Actual Results:  
The flashplugin is loaded automatically.

Expected Results:  
I can decide when to load flashplugin manually.

My checkout is at commit: f5c45173623e39fb5ad67ae870c4bdfe5fe8520c
git describe: 0.8.71-45-gf5c4517
Comment 1 Dominik Cermak 2012-02-10 09:26:37 UTC
I'm on qtwebkit 2.2.1 if it's relevant.
Comment 2 Dominik Cermak 2012-02-10 19:11:58 UTC
Created attachment 68686 [details]
Patch to make it work

With the attached patch it seems to work, but I don't know why those lines were put there (if there was a specific reason it probably won't be wise to remove them).
Comment 3 Dominik Cermak 2012-02-10 19:38:13 UTC
Created attachment 68687 [details]
Better patch

Probably it's better to change the 'or' to an 'and' then to remove it completely.
Comment 4 Andrea Diamantini 2012-02-11 08:36:53 UTC
Git commit d870aaf59eb31fdee8099cf4cef03152e418be78 by Andrea Diamantini.
Committed on 11/02/2012 at 09:38.
Pushed by adjam into branch 'master'.

Let "Manually load Plugins" work again

Courtesy patch by: Dominik Cermak. Thanks :)

M  +2    -2    src/webpluginfactory.cpp
M  +1    -1    src/webpluginfactory.h

http://commits.kde.org/rekonq/d870aaf59eb31fdee8099cf4cef03152e418be78